Method: projects.locations.accessPolicies.delete

Deletes a Unified Access Policy.

HTTP request

DELETE https://iam.googleapis.com/v3/{name=projects/*/locations/*/accessPolicies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the Unified Access Policy to delete.

Format: * projects/{projectId}/locations/{location}/accessPolicies/{unified_access_policy_id} * projects/{projectNumber}/locations/{location}/accessPolicies/{unified_access_policy_id} * folders/{folderId}/locations/{location}/accessPolicies/{unified_access_policy_id} * organizations/{organizationId}/locations/{location}/accessPolicies/{unified_access_policy_id}

Query parameters

Parameters
etag

string

Optional. The etag of the Unified Access Policy. If this is provided, it must match the server's etag.

validateOnly

boolean

Optional. If set, validate the request and preview the deletion, but do not actually post it.

force

boolean

Optional. If set to true, the request will force the deletion of the Unified Access Policy even if it's referenced in existing bindings. If this value is set to false and the Unified Access Policy is referenced in existing bindings, then the request fails.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.